# PostalPoint Hardware

This repository contains open source hardware and software for package drop-off lockers and parcel dimensioning.

Devices are built around the Pi Pico and MicroPython, and support both bidirectional USB HID and serial communication with a host computer.

# Devices

## Parcel Dimensioner

This device uses a US-100 or Parallax Ping ultrasonic sensor to measure the height of a package and transmit the size to a PC.  By rotating the package, all the dimensions can be determined.

It optionally supports output to a SSD1306 OLED screen and hardware buttons for zero/tare and unit switching.

There is currently no schematic or board layout, as the entire device is a Pi Pico, a sensor, a display, and eight wires to connect them.

### Installing

See source comments for wiring instructions.

The files in src/dimensioner must be copied to the Pi Pico.

Dependencies: Install these MicroPython packages on the Pico: usb_device_hid, ssd1306

## Package Locker Kiosk Controller

See source code in src/kiosk and schematics.

# License

See LICENSE.md.
